    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * -------------
    028 * Comments.java
    029 * -------------
    030 * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: Comments.java,v 1.2 2005/10/18 13:32:37 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 03-Dec-2003 : Initial version (TM);
    040 * 04-Feb-2004 : Added Javadocs (DG);
    041 *
    042 */
    043
    044package org.jfree.xml.generator.model;
    045
    046/**
    047 * A set of comments for a model.
    048 */
    049public class Comments {
    050
    051    /** Open tag comments. */
    052    private String[] openTagComment;
    053
    054    /** Close tag comments. */
    055    private String[] closeTagComment;
    056
    057    /**
    058     * Creates a new set of comments.
    059     *
    060     * @param openTagComment  the open tag comment.
    061     * @param closeTagComment  the close tag comment.
    062     */
    063    public Comments(final String[] openTagComment, final String[] closeTagComment) {
    064        this.openTagComment = openTagComment;
    065        this.closeTagComment = closeTagComment;
    066    }
    067
    068    /**
    069     * Returns the open tag comments.
    070     *
    071     * @return The open tag comments.
    072     */
    073    public String[] getOpenTagComment() {
    074        return this.openTagComment;
    075    }
    076
    077    /**
    078     * Returns the close tag comments.
    079     *
    080     * @return The close tag comments.
    081     */
    082    public String[] getCloseTagComment() {
    083        return this.closeTagComment;
    084    }
    085
    086    /**
    087     * Returns a string representation of the set of comments.
    088     *
    089     * @return A string.
    090     */
    091    public String toString() {
    092        final StringBuffer b = new StringBuffer();
    093        b.append ("Comments:={open=");
    094        if (this.openTagComment == null) {
    095            b.append("null");
    096        }
    097        else {
    098            b.append("{");
    099            for (int i = 0; i < this.openTagComment.length; i++) {
    100                b.append("[");
    101                b.append(this.openTagComment[i]);
    102                b.append("]");
    103            }
    104            b.append("}");
    105        }
    106        b.append(", close=");
    107        if (this.closeTagComment == null) {
    108            b.append("null");
    109        }
    110        else {
    111            b.append("{");
    112            for (int i = 0; i < this.closeTagComment.length; i++) {
    113                b.append("[");
    114                b.append(this.closeTagComment[i]);
    115                b.append("]");
    116            }
    117            b.append("}");
    118        }
    119        b.append("}");
    120        return b.toString();
    121    }
    122
    123}